﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define n = Character(None, color=(255, 255, 255, 255))

define j = Character("Javier", color=(255,255,0,255))
define p = Character("Psicóloga", color=(125,0,125,255))

define r = Character("Raúl", color=(0,0,255,255))
define m = Character("María", color=(125,0,125,255))

define d = Character("Doctor", color=(125,125,0,255))
define mu = Character("Mujer", color=(255,0,0,255))
define ho = Character("Hombre", color=(0,0,125,255))

define cu = Character("Padre", color=(125,125,125,255))

define hi = Character("Niña", color=(255,255,255,255))

image red pixel = "redPixel.png"
image blue pixel = "bluePixel.png"
image yellow pixel = "yellowPixel.png"
image white pixel = "whitePixel.png"

image invisible = "invisible.png"
image invisible2 = "invisible.png"
image invisible3 = "invisible.png"
image invisible4 = "invisible.png"

image black = "#000"

image title = "title2.png"
image titleF = "titleF.png"

init:
    
    $musicList=["misteriosaMusica","drums","guitarHappy","musicBoxHappy","musicBoxSad","mysteriousHarp","drums4","drums2"]
    $generalMusicIndexList=[1,2,3,4,5,6,7,8]
    
    $lives = [0,3,4,5,6,7]
    $hp=[0]*4
    
    $char=[False]*4
    
    $silence=False        
    
    if(persistent.key_words==None):
        $persistent.key_words = set([])    
        
    $story=set([])
    $story.update(persistent.key_words)
    $musicLoaded = False
    
    python:        

        renpy.music.register_channel("signal", "music", True)        
            
        for i in range(0,4):
            channel = "beat"+str(i+1)
            renpy.music.register_channel(channel, "music", True)
            renpy.music.set_volume(0.5,0,channel)
        
        for num in generalMusicIndexList:
            channel = "music"+str(num)
            renpy.music.register_channel(channel, "music", True)
            renpy.music.set_volume(0.0,0,channel)
            
init python:    
    
    import time                
    
    def playBeatHp(theHp, channel):
        
        if theHp==5:
            renpy.music.play("beatSignalS.ogg",channel,False)            
            
        elif theHp==6:
            renpy.music.play("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            
        elif theHp==7:
            renpy.music.play("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            renpy.music.queue("beatSignalS.ogg",channel,False)
            
        elif theHp==4:
            renpy.music.play("beatSignal4.ogg",channel,False)            
            
        elif theHp==3:
            renpy.music.play("beatSignal3.ogg",channel,False)    
            
        elif theHp==2:
            renpy.music.play("beatSignal2.ogg",channel,False)                
            
    def playBeat(trans, st, at):
        renpy.music.play("beatSignalS.ogg",channel,False)
            
    def playBeat1(trans, st, at):        
        if(char[3]):
            playBeatHp(hp[3],"beat1")            
        return
        
    def playBeat2(trans, st, at):        
        if(char[0]):
            playBeatHp(hp[0],"beat2")            
        return
    
    def playBeat3(trans, st, at):
        if(char[1]):            
            playBeatHp(hp[1],"beat3")            
        return
    
    def playBeat4(trans, st, at):
        if(char[2]):            
            playBeatHp(hp[2],"beat4")            
        return
        
    def heart_beat_y(theHp):
            if theHp==5:
                return [0.2,0.1,0.05,0.2,0.35,0.27,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==4:
                return [0.2,0.15,0.10,0.10,0.10,0.10,0.15,0.20,0.25,0.25,0.25,0.25,0.2,0.2,0.2]
            elif theHp==3:
                return [0.2,0.2,0.2,0.2,0.15,0.2,0.23,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==2:
                return [0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2,0.2]    
            elif theHp==6:
                return [0.2,0.05,0.2,0.35,0.2,0.05,0.2,0.35,0.2,0.2,0.2,0.2,0.2,0.2,0.2]
            elif theHp==7:
                return [0.2,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.4,0.0,0.2]
            elif theHp==0:
                return [2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1,2.1]                                                                        
                        
            
transform heart_beat_signal(start_x):
    xalign (start_x) yalign 0.2
    block:
        alpha 1.0
        pause 0.3
        alpha 0.0
        pause 0.2       
        repeat
    alpha 0.0
            
                
transform heart_beat(startPause, values, start_x, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:        
        xalign 2.1 yalign 2.1
        pause pause1                
                
        xalign start_x yalign (values[0]*0.75)
        
        linear 0.025 xalign (start_x+0.025) yalign (values[1]*0.75)
        linear 0.025 xalign (start_x+0.050) yalign (values[2]*0.75)
        
        linear 0.05 xalign (start_x+0.075) yalign (values[3]*0.75)
        linear 0.05 xalign (start_x+0.100) yalign (values[4]*0.75)
        
        linear 0.05 xalign (start_x+0.125) yalign (values[5]*0.75)
        linear 0.05 xalign (start_x+0.150) yalign (values[6]*0.75)
        
        linear 0.05 xalign (start_x+0.175) yalign (values[7]*0.75)
        linear 0.05 xalign (start_x+0.200) yalign (values[8]*0.75)
        
        linear 0.05 xalign (start_x+0.210) yalign (values[9]*0.75)
        linear 0.05 xalign (start_x+0.215) yalign (values[10]*0.75)
        
        linear 0.05 xalign (start_x+0.220) yalign (values[11]*0.75)
        linear 0.05 xalign (start_x+0.225) yalign (values[12]*0.75)
        
        linear 0.05 xalign (start_x+0.230) yalign (values[13]*0.75)
        linear 0.05 xalign (start_x+0.235) yalign (values[14]*0.75)
                
        linear 0.35 xalign (start_x+0.250) yalign (values[14]*0.75)
        
        xalign 2.1 yalign 2.1        
        pause pause2           
        repeat                     
        
transform heart_beat_beat1(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
##    block:        
##        xalign 2.1 yalign 2.1
##        pause pause1       
##        pause 0.7
##        function playBeat2
##        pause pause2
##        pause 0.3        
##        repeat

    block:
        xalign 2.1 yalign 2.1
        pause pause1
        function playBeat2
        pause pause2        
        pause 1.0
        repeat
        
transform heart_beat_beat2(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat3                        
            pause pause2
            pause 1.0            
            repeat

transform heart_beat_beat3(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat4
            pause pause2            
            pause 1.0
            repeat        
        
transform heart_beat_beat4(startPause, pause1, pause2):
    xalign 2.1 yalign 2.1
    pause startPause
    
    block:
            xalign 2.1 yalign 2.1
            pause pause1
            function playBeat1
            pause pause2       
            pause 1.0
            repeat                   
    
label splashscreen:
     show black                  
    
     call loadMusic        
     $musicLoaded = True
     
     $oldHp=hp
     
     $hp=[0]*4
     $hp[0]=0
     $hp[1]=0
     $hp[2]=0
     $hp[3]=0
     
     
     $char=[False]*4
     $char[0]=False     
     
     $musicPlayNumberList=[1]                                                  
     
     call playMusic(0.0)     
     
     $times=0                                        
               
     $renpy.pause(4.0)
     
     show title:
         xalign 0.5 yalign 0.5 alpha 0.0
         
         parallel:
             linear 8.0 zoom 1.0              
         parallel:
             linear 2.0 alpha 1.0
             pause 4.0
             ##linear 2.0 alpha 0.0                                 
    
     $renpy.pause(4.0)                
             
     return
 
label showTitle:
     show title:
         xalign 0.5 yalign 0.5 alpha 0.0
         
         parallel:
             linear 8.0 zoom 1.0              
         parallel:
             linear 2.0 alpha 1.0
             pause 4.0
             ##linear 2.0 alpha 0.0                                 
    
     $renpy.pause(4.0)                
     return
     
label playMusic(fadeTime):
    python:                                                                                                                     
        volumeList = [0.0] * len(generalMusicIndexList)
        
        for music in musicPlayNumberList:            
                volumeList[music-1]=1.0
                
        for musicIndex in generalMusicIndexList:
            renpy.music.set_volume(volumeList[musicIndex-1],fadeTime,"music"+str(musicIndex))                                                                                                                                      
                                                      
    return
    
# The game starts here.
label start:           
    
     if not musicLoaded:
         $musicPlayNumberList=[1]
         call loadMusic
         call playMusic(0.0)
         $oldHp=hp
     
         $hp=[0]*4
         $hp[0]=0
         $hp[1]=0
         $hp[2]=0
         $hp[3]=0
         $times=0
     
     $char=[False]*4
     $char[0]=False     
          
     jump javier1
     
     
     ##$hp=[5]*4
     ##jump maria3
     
label javier1:                          
    
    show title:
         xalign 0.5 yalign 0.5 alpha 1.0
         pause 4.0              
         linear 2.0 alpha 0.0               
    
    $oldHp=hp
    $hp=[0]*4
    $hp[0]=5
    $hp[1]=0
    $hp[2]=0
    $hp[3]=0
    
    $char=[False]*4
    $char[0]=True 
          
    $musicPlayNumberList=[1,2]     
    
    call loadHearts                                               
    
    $renpy.pause(4.0, hard=True)
    
    $silence=True
    
    j "Carta a mi madre:"
    
    j "Mamá. Hace tiempo no te escribo." 
    
    j "Perdóname el retraso, {w=0.5}pero es que he estado algo ocupado con el estudio."
    
    j "Y un poco triste por algunas cosas que han ocurrido.{w}\nY que me han hecho sufrir un poco. "
    
    menu:        
        "Pensar en adultez.":
            $ oJavier1 = "consejo"            
            pause 1.0
            $hp[0]+=1
            $musicPlayNumberList=[1]
            call loadHearts                        
            j "Sabes... {w=0.5}me doy cuenta que no logro imaginarme como un adulto."
            j "Pienso en proyectos que he comenzado... {w=0.5}y me doy cuenta que he fallado en casi todo."
            j "No tengo la voluntad para mover el mundo, {w=0.5}ni mucho menos mi vida."
            j "Ni siquiera para decidir entre las cosas buenas y las cosas malas... {w} sí puedo dar buenos {color=#FF0000}consejos{/color} a amigos sobre sus vidas...{w=0.5} pero me siento muy perdido."
            j "Realmente no se qué hacer, {w=0.5}mamá."
            
        "Pensar en adolescencia.":
            $ oJavier1 = "hermano"
            pause 1.0
            $hp[0]+=1
            $musicPlayNumberList=[1]
            call loadHearts
            j "Me doy cuenta que me siento un poco solo desde que comencé el bachillerato aquí. {w}\nEstoy un poco lejos de casa, {w=0.5} perdí contacto con mi {color=#FF0000}hermano{/color}, {w=0.5}y eso me deprime un poco."
            j "Pero no es eso lo que me hace triste... sino saber que las cosas no van a salir bien."
            j "Tantas cartas he escrito sin enviar...{w=0.5} algunas sin destinatario pero volcados en el papel un sinfín de sentimientos."
            
        "Pensar en niñez.":
            $ oJavier1 = "madurar"
            $musicPlayNumberList=[4,5]
            call loadHearts
            pause 1.0            
            j "Pienso en todo lo que he dejado allí... {w=0.5} y me doy cuenta que fui muy feliz en la etapa de niño."
            j "Sin preocupaciones sobre la vida o el futuro, {w=0.5}jugando libremente en playas y parques."
            j "Desearía volver a ese tiempo sagrado. No haberme manchado con la vida real y las preocupaciones del mundo."
            j "Pero supongo que esto es lo que significa {color=#FF0000}'madurar'{/color}... {w=0.5}y en cierta forma, estoy agradecido de haber vivido esto."
            
    $story.add(oJavier1)        
    jump raul1
     
    return
    
    
    
label javier2:                          
    
    $oldHp=hp    
    
    $char=[False]*4
    $char[0]=True 
          
    if oJavier1=="madurar":
        $musicPlayNumberList=[1,2]
    else:
         $musicPlayNumberList=[1]
         
    call loadHearts                                                       
    
    if oJavier1=="madurar":
        
        $renpy.play("doorKnock.ogg","sound")
        pause 1.0        
        p "Adelante."
        $renpy.play("puertaAbrirCerrar.ogg","sound")
        pause 0.5
        j "Hola. ¿Qué tal? Mi nombre es Javier. Me dijeron que consultara aquí. Que quizás... {w}podrían ayudarme."
        p "Para eso estoy Javier. Cuéntame. ¿Por qué has venido aquí?"
        j "Porque creo que necesito ayuda... {w}y no he podido pedirla de amigos y conocidos."
        p "Me parece valiente lo que has hecho Javier. No cualquiera se anima a llamar y venir por sí solo. {w}Especialmente por los prejuicios que tienen las clínicas psicológicas en la sociedad."
        p"Bien, rompamos el hielo. Háblame..."
        
        menu:
            "...sobre lo que piensas de la sociedad, Javier.":
                $hp[0]+=1
                $musicPlayNumberList=[1]
                $oJavier2="direccionContraria"
                call loadHearts
                j "La sociedad... {w}no puedo aguantarla, realmente. Es un conjunto de normas aleatorio, que le dicen a uno cómo ser y actuar."
                j "Si haces esas cosas, estás dentro de la sociedad. Si no las haces, estás fuera."
                p "Vamos... Javier, creo que puedes luchar contra eso. Los prejuicios no son lo importante."
                j "Realmente sí lo son. ¿Cómo vivir cuando todo va en {color=#FFFF00}dirección contraria{/color}? {w}Cuando no puedes hacer lo que sientes, cuando te das cuenta que la vida no está hecha para tí."
                j "No quiero vivir en este mundo de esta manera... no puedo hacerlo."
                p "Eso... {w=1}es algo bastante profundo, Javier. {w}Me gustaría que me hablaras un poco más específicamente de lo que te ocurre."
            
            "...sobre lo que piensas de la psicología, Javier.":
                $oJavier2="medicina"
                call loadHearts
                j "Yo creo que vosotros ayudáis a las personas. Creo que es algo maravilloso, el tener una vocación de ayudar a la gente a resolver sus problemas."
                p "Vaya... veo a un psicólogo en potencia quizás."
                j "No exactamente... pero algo así. Me gustaría estudiar {color=#FFFF00}medicina{/color} cuando llegue a la Universidad. "
                j "Me gustaría ayudar a la gente. Así como tu me ayudas ahora, pero en un ámbito un poco diferente."
                p "Es interesante lo que dices, Javier. {w}Pero para ayudar a otros, lo más importante es dejarte ayudar también. Así que ahora me gustaría que me cuentes cómo yo puedo ayudarte."               
                
    else:
         j "Mamá. El paso del tiempo me ha llevado a darme cuenta que las cosas no salen como uno se lo dispone."
         j "Las cosas son demasiado diferentes para mí. {w}Realmente no puedo hacer lo mismo que todo el mundo. {w}Pero tampoco puedo hacer lo que realmente deseo."
         j "¿A dónde lleva esa situación realmente?{w} Esto me pregunto yo cada día. Pero no obtengo la respuesta.{w} Mientras el resto del mundo ignora mi existencia, yo no termino de entenderla."
         j "Ni siquiera logro entender..."
         
         menu:
             "...al amor.":
                 $hp[0]+=1
                 $musicPlayNumberList=[1,7]
                 $oJavier2="miedo"
                 call loadHearts
                 j "Las personas dicen amar y enamorarse. Pero eso no es más que un estado temporal."
                 j "Realmente no existe la confianza entre dos personas. Nunca está uno seguro de cuándo va a romperse. {w}Pero sí de que eso va a suceder."
                 j "¿De qué vale confiar en otras personas entonces? {w}¿En amores que no lo son? ¿En amigos que a medida que avanza la vida, se van distanciando cada vez más?"
                 j "Me doy cuenta de lo que ocurre... en realidad, tengo miedo.{w} Miedo de confiar en otras personas..."
                 
             "...a la justicia.":
                 $hp[0]+=1
                 $musicPlayNumberList=[1,7]
                 $oJavier2="luz"
                 call loadHearts                 
                 j "¿Qué justicia hay en este mundo? ¿Quién se encargó de repartir las virtudes y los defectos?"
                 j "Realmente hizo un pésimo trabajo. No hay forma de que me haya perjudicado más aún."
                 j "¿Por qué han hecho a algunos tan iguales... {w=0.5}y a otros tan diferentes?"
                 j "¿Dónde está la luz al final del túnel, para salir al fin de esto?"
                 
             "...a la religión.":                 
                 $oJavier2="diferente"
                 call loadHearts
                
                 j "Creo que hay alguien allí arriba... {w}¿pero qué rayos está haciendo?"
                 j "Guerra, injusticia, odio... {w}el mundo está lleno de sentimientos negativos.{w}¿Por qué no puede ser más sencillo existir? ¿Por qué es tan difícil {w}{color=#FFFF00}ser diferente{/color}?"                
                
    $story.add(oJavier2)          
    jump raul2
     
    return

label javier3:     
    
    if(hp[0]<=6):
        $musicPlayNumberList=[1,2]
        $char=[False]*4
        $char[0]=True
        call loadHearts
    else:
        $musicPlayNumberList=[7]
        $char=[False]*4
        $char[0]=True
        call loadHearts
    
    if oJavier1=="madurar":
        p "Gracias por volver nuevamente Javier. Con estas sesiones, creo que voy entendiendo lo que realmente te ocurre."
        p "Sabes... {w} eres una persona más fuerte de lo que piensas."    
        j "G...gracias."
        
        p "Para terminar esta sesión, por favor dime."
        menu:
            "¿Tienes la fuerza para encontrar la luz al final del túnel?" if "luz" in story:                               
                call goodEndingJavier                                                                
                
            "¿Tienes la fuerza para ir en dirección contraria? ¿Para ser diferente?" if ("direccionContraria" in story or "diferente" in story):                                                
                call goodEndingJavier
                
            "¿Cuando te gustaría volver?":
                $hp[0]+=1
                j "Pues... no estoy seguro.{w}Consultaré mi agenda y me pondré en contacto... ¿vale?"
                j "(O no... {w}puesto que esto está siendo una pérdida de tiempo.)"                            
                j "Muchas gracias."
    else:
        if hp[0]==7:
            call badEndingJavier
        else:
            call normalEndingJavier
    jump raul3
    
    return
    
label badEndingJavier:
    j "Con esto, doy fin a esta carta. {w} Perdón... pero no logré llegar a entender esta vida."
    j "No te culpes... ya que no has sido tú. {w}He sido yo el culpable de todo. ¿Acaso haré algo bien alguna vez?"
    j "Quizás...{w} si Dios no fuese tan cruel...{w} podremos vernos de nuevo."        
    j "Te extrañaré... {w=1}mamá."    
    $hp[0]=2
    $musicPlayNumberList=[8]    
    call loadHearts    
    pause 8.0    
    return
    
label normalEndingJavier:
    
    $musicPlayNumberList=[1]
    j "Mamá... {w}perdóname por preocuparte. Estoy bien. {w} No necesito que vengas a visitarme, no te preocupes, por favor."
    j "No me siento bien del todo aún... pero creo que puedo con esto."
    j "Gracias por acompañarme con estos correos."
    j "...{w}...{w}te quiero mucho, mamá."
    
    return
    
label goodEndingJavier:
     $musicPlayNumberList=[4,5]
     call loadHearts
     j "Pues... no lo se. Pero me siento más tranquilo."
     j "Creo que voy a luchar por mi espacio de esta forma."
     j "No estoy bien aún... pero creo que puedo aprender a controlarme."
                
     p "Eso es lo que quería oír."
                
     p "Javier... creo que estuviste a punto de cometer algo muy grave. Escúchame: imponer el fin nunca es una salida, sino un escape."
     p "Quizás te familiarices con sentir un sufrimiento muy fuerte, pero debes encargarte de convertir tu vida en un sitio habitable."
     p "Puedes caerte y tener que descansar tus alas, pero no olvides que tienes gente que te quiere y apoya. Y sin ayudarte directamente también te necesiten."
     p "Debes vencer tus miedo, no puedes perder noción de que eres valioso tal cual eres. Debes valerte por tí mismo."
     p "Así que por favor...{w=1} no hagas algo de lo que te arrepientas luego."
     
     $hp[0]=5               
     call loadHearts                 
     
     p "Bueno... te daré mi móvil, por si necesitas algo más. {w}Pero creo que ya estarás bien."
     p "Ahora... vete un tiempo a tu casa. Pasa un tiempo con tu familia. {w}Y alégrate de vivir {w=1}y estar con ellos."
     p "Te lo mereces."
     p "Gracias por tu tiempo... {w=1}Javier."
     
     $story.add("finJavier")
     return
                
label phoneMaria1:
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}Te extraño... {w=0.5}María..."
    pause 1.0    
    return
    
label phoneMaria2:
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}Te necesito... {w=0.5}perdón por hacer las cosas mal. Necesito otra oportunidad."
    pause 1.0    
    return    
 
label phoneJavier:
    
    $char[0]=True
    call loadHearts
    
    $renpy.play("typingCellPhone.ogg","sound")
    r "{w=0.5}Javi... Me gustaría verte. Estoy con unos problemas...{w=0.5} con respecto a María, y creo que tú puedes ayudarme."
    
    n "Javi leyó ese mensaje unos minutos más tarde... y lo invitó a su casa directamente. Y allí, planificaron una estrategia para que Raúl lograra su cometido.{w} {color=#FFFF00}Recuperar{/color} a María de una vez por todas."    
    $char[0]=False
    call loadHearts
    
    return  
    
label raul1:     
    
    $oldHp=hp        
    $hp[1]=5         
    
    $char=[False]*4    
    $char[1]=True
     
    $musicPlayNumberList=[2,3]
 
    call loadHearts                                                 
     
    n "En la oscuridad de un bar, se encuentra un joven."
    n "Está ahogando sus penas en una copa de vino."
    n "Y como todo joven que bebe, recuerda sus buenos tiempos y los malos tiempos... {w}y a su ex-novia."    
    n "Dicen que nunca es bueno mezclar el alcohol con malos momentos, {w=0.5}pero a este joven no le importó eso."
    
    $renpy.play("flip.ogg","sound")
    n "El joven cogió el teléfono y se preparó para escribir un mensaje.{w} Un mensaje para esa persona que lo había abandonado."
    n "Pero no sin antes pensar..."
    
    menu:        
        "...en los buenos momentos vividos.":
            $ oRaul1 = "viaje"            
            $hp[1]-=1
            $musicPlayNumberList=[3]
            call loadHearts                        
            n "Su relación fue intensa pero sana.{w}\nAlgo difícil de encontrar en relaciones entre jóvenes adultos."
            n "Aún tiene el vivo recuerdo del {color=#FF0000}viaje{/color} que realizaron a aquél pueblo lejano."
            n "Estaban sólo ella y él. No necesitaban nada más para ser felices. {w}Ellos también eran jóvenes e inocentes."
            n "Y sus corazones latían al unísono en aquél entonces."                        
    
            call phoneMaria1
            
            jump maria1
            
        "...en la situación que los llevó a esto.":
            $ oRaul1 = "error"            
            $hp[1]-=1
            $musicPlayNumberList=[3]
            call loadHearts
            n "Su relación estuvo adornada de buenos momentos,{w=0.5} pero existieron algunos obstáculos que impidieron su felicidad."
            n "Él se siente particularmente culpable por haber cometido un {color=#FF0000}error{/color}... {w=0.5}el error que lo llevaría a lamentarse una y otra vez sobre lo sucedido."
            n "Aún así... el joven decide escribir."                        
    
            call phoneMaria1
            
            jump maria1
            
        "...en ella.":    
            $ oRaul1 = "encuentro"                        
            $musicPlayNumberList=[2,4]
            $hp[2]=5
            $char[2]=True
            call loadHearts
            n "Ella es una mujer joven y guapa. {w}Delicada, bien educada, estudiando letras en la Universidad. "
            n "Se conocieron en una biblioteca en la misma Universidad, {w=0.5}aunque él no estudiaba allí, sino que estaba de visita."
            
            pause 1.0
            r "Perdón...¿puedo sentarme aquí?"
            m "..."
            r "...{w}¿está ocupado quizás?"
            m "...{w}No. {w=0.5}Puedes sentarte. {w}"
            r "Creo... {w=1.0}conocerte de algún sitio. {w=0.5}¿No ibas tú a...?"
            m "Madre mía,  {w=0.5}¿ligando con la primer tía que te encuentras? {w} ¿Y en una biblioteca?"
            r "Jajaja, vale, me has pillado..."
            
            pause 1.0
            n "Nunca descubrieron si realmente se conocían de antes o no, {w=0.5}pero esa charla llevó a que se conocieran mucho más, y comenzaran a salir."
        
    $story.add(oRaul1)
    jump maria1 
     
    return

label raul2:    
    $oldHp=hp                     
    
    $char=[False]*4    
    $char[1]=True
     
    if(oRaul1=="encuentro"):
        $musicPlayNumberList=[2,4]
        call loadHearts
        
        n "La tristeza invadía a Raúl, pero él resistía. Sabía que se había equivocado, y no podía hacer nada en ese momento, más que dejar que sane una herida."
        n "Raúl cogió el metro de vuelta a su casa. Había bebido un poco, y no quería conducir estando así de triste."
        n "Tenía ganas de escribirle a María... cuando sucedió algo inesperado."
        
        $renpy.play("SMS.ogg","sound")
        $char[2]=True
        call loadHearts
        
        n "Sonó el móvil. Raúl recibió un mensaje."
        
        $renpy.play("flip.ogg","sound")        
        m "{fast}Sabes... aunque no confío en tí... {w}te extraño."
        
        $char[2]=False
        call loadHearts
        
        n "Raúl se alegró en recibir el mensaje. Y pensó en contestar inmediatamente."
        n "Pero se frenó ante la duda en cuanto a qué escribir."
        n "Entonces, decidió..."
        
        menu:
            "...pedir un consejo a un amigo." if "consejo" in story:
                call phoneJavier
                $oRaul2="recuperarla"        
                
            "...buscar una pista sobre cómo actuar recordando los mejores momentos que vivieron." if "viaje" in story:
                n "Entonces, a medida que volvía a su casa, comenzó a recordar momento a momento todas sus vivencias."
                n "A reconocer y evaluar lo vivido. Darse cuenta que aún valía la pena luchar. "
                n "Lo que quedaba por hacer... era saber cómo {color=#FFFF00}comunicárselo{/color} a ella."
                $oRaul2="comunicarselo"
            
            "...responderle que él la necesitaba.":
                $hp[1]-=1
                $musicPlayNumberList=[2]
                call loadHearts
                
                $oRaul2="necesidad"
                call phoneMaria2
                n "Raúl no estaba demasiado convencido de que esa fuese la mejor solución, pero no tenía otra opción en ese momento."
                n "Así que envió el mensaje. Pero la respuesta tardó en llegar. Más que lo que Raúl tardó en volver a casa."                                                     
        
    else:    
        $musicPlayNumberList=[3]
        call loadHearts
         
        n "La tristeza lleva a la rabia, y la rabia en el rencor. Pero todo siempre desemboca en la culpa, y en sentirse culpable por las acciones que uno realiza."
        n "Raúl así lo sentía. Solamente quería una oportunidad para demostrar que puede aprender de sus errores. ¿Quién no la querría? ¿Quién no la merecería?"
        
        $renpy.play("SMS.ogg","sound")
        
        $char[2]=True
        call loadHearts
        
        n "Sonó el móvil. Raúl recibió un mensaje."
        
        $renpy.play("flip.ogg","sound")        
        m "{fast}¿Por qué debería confiar en tí?{w}\nMe decepcionaste Raúl, y no creo poder confiar en tí nunca más."
        
        $char[2]=False
        call loadHearts
        
        n "Raúl se dio cuenta que su mensaje anterior había sido un poco injusto. Decir que se extraña a una persona luego de hacerle daño puede ser verdad,{w} pero aún así, no es justo decirlo."
        n "Raúl se pregunta cómo salir de esta situación, y decide:"
        
        menu:
            "responder con un mensaje sincero":
                $hp[1]-=1
                $musicPlayNumberList=[5,7]
                call loadHearts
                $oRaul2="perdida"
                n "Quizás era tiempo de callar... {w}pero no es lo que hizo Raúl."
                n "Él estaba decidido a recuperar lo que había perdido. Aunque de un modo casi animal."
                n "Y sucedió lo que tenía que suceder. Lo que sucede cuando se apreta una situación apretada, cuando se acelera algo que debe dejarse decantar."
                n "La relación... se terminó de {color=#FFFF00}romper{/color}.{w} Así como el alma de Raúl."
                
            "reflexionar sobre lo sucedido" if "error" in story:    
                $oRaul2="equivocado"
                n "Quizás Raúl hizo lo mejor que podía hacer en esta situación. Entender lo que le ocurría... y por qué le había ocurrido."
                n "Raúl cometió un error... eso lo sabía. Salió con otra mujer durante su tiempo con María. "
                n "Nunca tuvo el coraje...{w} o la realización de admitirlo. Lo ocultaba en los confines de su memoria."
                n "Nunca es tarde para admitir que uno se ha equivocado. Y aunque no lo parezca... siempre se gana algo haciéndolo."
                
            "olvidar todo por el momento":                    
                $hp[1]-=1
                $musicPlayNumberList=[5,7]
                $oRaul2="olvidar"
                call loadHearts
                
                n "Lo más coherente era olvidar todo este asunto por el momento."
                n "Al parecer, las cosas estaban aún sensibles. {w}Así que Raúl decidió olvidarla."
                r "Venga... otra cerveza. {w}Que aún quedan años para conocer a otra tía."               
                n "Y Raúl comenzó a beber más... {w} y más..."
    
    $story.add(oRaul2)            
    jump maria2

label raul3:    
    $oldHp=hp                     
    
    $char=[False]*4    
    $char[1]=True
    if(hp[1]==3):
        call badEndingRaul
    elif hp[1]==4:
        call normalEndingRaul
    else:
        if ("recuperarla" in story or "equivocado" in story or "comunicarselo" in story):
            ##consejo de amigo o darse cuenta de error
            call goodEndingRaul
        else:
            call normalEndingRaul
            
    jump maria3
    
    return

label normalEndingRaul:
    $musicPlayNumberList=[5]
    call loadHearts
    n "Con el pasar del tiempo, las cosas en la vida de Raúl se acomodaron. {w}Aunque él no logró escapar completamente de aquél problema que tenía cuando estaba solo y bebía."
    n "Raúl se tomó un tiempo para entender mejor las cosas. Y también dio un tiempo a María para que ella las comprenda. "
    n "Y entre los dos, lograron olvidar lo que había sucedido. Y volvieron a estar juntos."
    $musicPlayNumberList=[5,7]    
    call loadHearts
    n "Pero cada día que Raúl salía a un bar...{w=1} en secreto, jugaba con el destino. Sin culpa ni responsabilidad."
    return    
    
label badEndingRaul:
    $musicPlayNumberList=[7]
    call loadHearts
    n "Raúl bebió más alcohol de lo debido aquella noche. Más de lo que él hubiese querido, pero necesitaba olvidarse de lo ocurrido."
    n "Se sentía muy mal por lo que había hecho. Su mundo se había cerrado, y ya no quedaban soluciones."
    n "Decidió irse.{w} Entonces cogió el coche para dirigirse a su casa, y..."    
    $musicPlayNumberList=[8]
    call loadHearts
    
    $renpy.play("carCrash.ogg","sound")
    
    pause 8.0
    $hp[1]=2
    call loadHearts
    pause 8.0
    return
    
label goodEndingRaul:
    $char[1]=True    
    $musicPlayNumberList=[2,5]    
    call loadHearts    
    $story.add("aprenderDeSusErrores")
    
    n "Escena: un parque. Raúl llamó a María para hablar aquí. En este {color=#FFFFFF}parque{/color} que tenía un especial significado para ellos."
    n "Raúl llevaba esperando un tiempo, pero sabía que María iba a venir."
    n "Raúl estaba preparado para decirle todo lo que sentía. Pero por sobre todo...{w} a pedirle {color=#FFFFFF}aprender de sus errores{/color}."
    n "No le interesaban las relaciones perfectas, sino las reales y humanas. "
    n "Y eso no le permitía equivocarse todas las veces que quisiera,{w} pero lo quitaba del rol de monstruo que le habían asignado."
    
    n "María al fin llegó al parque. {w}Detrás de Raúl, un regalo para ella. {w}Y para ellos... toda una vida por delante... {w}juntos."
    $story.add("finRaul")
    $hp[1]=5
    call loadHearts    
    pause 4.0       
    return
            
label maria1:
    
    $oldHp=hp                   
    
    $char=[False]*4    
    $char[2]=True
    $hp[2]=5
     
    $musicPlayNumberList=[5]      
          
    call loadHearts                                     
        
        
    d "La mujer yacía inmóvil en la cama."
    d "Pero respiraba. {w=0.5} Estaba dormida. {w=0.5}Recuperándose."
    
    mu "Uhhhhhhhh...{w=2} ¿dónde... estoy...? ...¿Doctor?"    
    
    d "Tranquila. Estarás bien. {w} \nEstás en la clínica médica. "
    
    mu "...¿qué me ha ocurrido?"
    
    d "Te has descompensado y sufriste un desmayo en tu casa."
    
    mu  "Madre mía! Cómo está...?"
    
    d "No te preocupes. Todo está bajo control y bien. ¿Cómo te sientes tú?"
    
    mu "Me siento{w=0.5} un poco mareada. {w=0.5}Y... no recuerdo bien lo que ha sucedido."
                    
    d "Tu condición es estable en este momento.{w} Es normal estar algo desorientada en estas ocasiones."
    
    d "¿Qué tal si me hablas un poco de tí hasta que terminemos este examen? Tranquilamente."
    
    mu "Vale..."
    
    menu:
        "Recordar sobre profesión.":
                $hp[2]+=1
                $musicPlayNumberList=[5,6]
                call loadHearts
                $oMaria1 = "profesora"
                mu "Soy... {color=#FF0000}profesora{/color}, {w=0.5}de ciencias sociales. Trabajo en un par de liceos en el centro."
                mu "Desde pequeña me gustaron los niños y leer. Fue simplemente natural que terminara estudiando eso."
                d "Qué interesante. La disciplina de la docencia es difícil a veces, pero muy confortante."
                mu "Es muy estresante a veces, pero muy gratificante también. {w}En especial al fin de los cursos."
                mu "De hecho, debería estar corrigiendo unas pruebas que les envié a los chicos."
                d "Tómalo con calma. Tendrás tiempo de corregirlo cuando vuelvas a casa."
                
        "Recordar sobre familia." if ("recuperarla" in story or "comunicarselo" in story or "finJavier" in story):      
                $musicPlayNumberList=[5] 
                call loadHearts
                $oMaria1 = "marido"
                mu "Vivo en una casa en las afueras de la ciudad, con mi {color=#FF0000}marido{/color}. {w}Él es ingeniero, trabaja en una fábrica en la zona. Yo manejo hasta el centro de la ciudad."
                d "Eso es algo particular... {w=0.5}¿Usualmente no es al revés?"
                mu "A ambos nos gusta la tranquilidad de las afueras. Huímos del tráfico y ruido de la ciudad."
                mu "Las cosas eran muy bellas en esas épocas...{w} aunque han cambiado un poco."
                mu "El tiempo lo cambia todo..."
                mu "A propósito... ¿dónde está mi marido?"
                d "Él está afuera. Lo haré pasar, {w=0.5}ya que parece que has recuperado la conciencia."
                
        "Recordar sobre eventos antes del desmayo.":        
                $hp[2]+=1
                $musicPlayNumberList=[5,6]
                $oMaria1 = "sinMedicamentos"
                mu "No recuerdo muy bien qué sucedió. {w}Recuerdo que me encontraba en casa, corrigiendo unos trabajos."
                mu "Me levanté y me dirigí al baño. Creo que no me sentía bien."                
                d "¿Qué te sucedía?"
                mu "Pues... me dolía la cabeza... pero no quise tomar ningún medicamento."                
                mu "Ya sabe doctor... es por precaución. "                
    
    $story.add(oMaria1)
    jump javier2
     
    return
    
label mariaNoRecuerdaTodoPeroAlgo:
    d "Muy bien, creo que estás fuera de peligro."    
    
    d "¿Estás lista para esto?"
    mu "En realidad...{w=1}no. Pero no me queda otra opción que avanzar, ¿no?"
    d "Dado tu estado actual, sería lo más precavido."                
    d "Muy bien... prepararé las cosas. Te dormiremos para comenzar con esto."
    
    return
    
label mariaNoRecuerdaTodo:            
    
    if oMaria1=="marido":
         $musicPlayNumberList=[5]
         call loadHearts
         call mariaNoRecuerdaTodoPeroAlgo        
        
    else:    
        d "Muy bien, estamos casi por acabar. Intenta quedarte tranquila unos minutos."

        n "La mujer no puede quedarse tranquila. En su cabeza, habitan fantasmas del pasado."
        
        n "Temas no resueltos. Que no ha solucionado consigo misma."
        
        n "La mujer..."
        
        menu:
            "...recuerda un viaje maravilloso." if "viaje" in story:        
                n "La mujer recuerda el viaje que había hecho con alguien muy especial."
                n "Ese viaje especial para ambos que soldó algo que creía irrompible."
                
                $hp[2]+=1
                $musicPlayNumberList=[6,7]
                call loadHearts
                
                n "Pero también recuerda... lo que sucedió luego. Y cómo ella no supo manejar la situación."
                n "Fue un tema que no les impidió seguir, pero fue algo de lo que ellos escaparon. Sin resolverlo. "
            
            "...recuerda un suceso triste." if ("encuentro" in story):                                
                n "La mujer recuerda un suceso triste que le sucedió. Una traición de confianza, de parte de alguien cercano."
                n "Recuerda sus exactas palabras en ese momento, y sus reacciones. Y recuerda que..."
                
                menu:
                    "...ella no quiso saber nada más de él.":
                        $hp[2]+=1
                        $musicPlayNumberList=[6,7]
                        call loadHearts
                        n "Ella lo colocó en el lugar que él merecía. Quien traiciona, no se merece respeto alguno."
                        n "Quizás, ni siquiera lo quería tanto. De modo que fue mejor al final. Al menos... {w}eso es lo que ella piensa."
                        
                        pass                                        
                    
                    "...ella lo intentó entender. Y al final, le dio una segunda oportunidad.":
                        n "Ella se sintió lastimada como nunca. Su confianza quebrada en mil trozos."
                        n "¿Cómo perdonar algo imperdonable? ¿Cómo recobrar la confianza?"
                        n "Sin embargo... ella luchó por lo que creía. Y a pesar de alejarse un tiempo, volvió cuando la necesitaban. Supo escuchar y ayudar."
                        n "Y supo dar una {color=#FFFF00}segunda oportunidad{/color}."
                        
                        $story.add("perdonado")
                        pass                        
                
            "...no quiere recordar nada.":
                $musicPlayNumberList=[6]
                call loadHearts
                n "Se siente mal. No quiere recordar nada. Su vida es un tornado."
                n "No puede escapar del destino que ella misma creó. No está segura de a dónde ir, o de cómo seguir."
                
                mu "Me siento mal..."
                d "Te has golpeado la cabeza al caer. Es normal que estés un poco perdida durante unas horas."
                d "Intenta no agitarte, debes darte un poco más de tiempo."
                pause 1.0
                mu "Uhhh... {w}me duele el pecho... y..."                
                $hp[2]+=1
                $musicPlayNumberList=[6,7]
                call loadHearts
                mu "..."
                d "...resiste! {w}...María!"
    return
    
    
label maria2:
    $oldHp=hp                   
    
    $char=[False]*4    
    $char[2]=True
            
    if "marido" in story and "sinMedicamentos" and "perdonado" in story:
        ##Recuerda todo
        $musicPlayNumberList=[5,6]
        call loadHearts
        call mariaNoRecuerdaTodoPeroAlgo        
    else:
        ##No recuerda todo
        $musicPlayNumberList=[5,6]
        call loadHearts        
        call mariaNoRecuerdaTodo                
        
    jump javier3     

        
label maria3:   
    $char=[False]*4    
    $char[2]=True    
    
    if(hp[2]==7):
        ##bad ending
        $musicPlayNumberList=[7]
        call badEndingMaria
    elif(hp[2]>=5):
        ##normal ending        
        call goodEndingMaria        
        
    ##unlock endings    
    $persistent.endings_unlocked = True        
        
    $persistent.key_words.update(story)    
        
    pause 4.0
    $musicPlayNumberList=[1]
    $hp=[0]*4
    $char=[False]*4
    call loadHearts
    pause 1.0
    call showTitle            
    $renpy.game_menu(screen="main_menu")        
    return 

    
label goodEndingMaria:
    $musicPlayNumberList=[5,6]    
    call loadHearts
    d "Tranquilo. Ambos están descansando."
    ho "Por suerte ya terminado todo. Estoy muy aliviado."
    
    if("finJavier" in story and "finRaul" in story and hp[0]==5):
        $char[0]=True
        $char[1]=True
        call loadHearts
        
        $story.add("finMaria")
        
        ho "Muchas gracias... {w=0.5}Javier."
        ho "No lo podriamos haber hecho sin tí."
        d "No lo menciones... Raúl. Que estoy para eso."
        ho "Sabes... me alegra muchísimo que estés aquí con nosotros."
        ho "De verdad... doy gracias por ello."
        
        call parto
        
        call epilogue
    else:        
        ho "Por cierto... tu rostro me es familiar. ¿No eras tú {w}hermano de Javier?"        
        d "Sí, lo soy."
        ho "Lo conocí en el bachillerato. Eramos amigos de jóvenes. Lamento lo que sucedió."
        d "Ya ha pasado tiempo de eso. Pero gracias por tu preocupación."
        d "De hecho, él quería estudiar medicina. Al menos, eso decían sus cartas. Y al final, terminé estudiando lo mismo."
        d "La vida está llena de coincidencias.{w} Pero si esta coincidencia al menos me ayudó a salvar una vida... entonces estoy feliz."            
        
        call parto
        
        call finalStatement              
    return        
 
label epilogue:
     $story.add("epilogue")
     $oldHp=hp                         
     $char=[False]*4    
     $hp=[5]*4
     $musicPlayNumberList=[2,4]
     call loadHearts
     
     j "La vida... está llena de eventos inesperados."
     r "Llena de situaciones de derrota, donde hay que seguir luchando."
     m "Y llena de momentos hermosos, que debemos guardar y recordar por siempre."
     
     j "Elegir la vida sobre la muerte."
     r "Aprender de los errores para no volver a equivocarse."
     m "Y saber dar segundas oportunidades cuando se merecen."
     
     j "No hay nada mejor que poder vencer las dificultades que uno tiene."
     r "El camino es largo."
     m "Pero la vida te lo recompensa luego."
     
     pause 1.0
     
     hi "Basta basta basta... {w=1}BASTA! {w}Mamá, dejad de hablar! Y vamos a... {w=1} JUGAR!"
     return  
    
label badEndingMaria:    
    call loadHearts
    d "La paciente no logró sobrevivir el proceso.{w} Como estaba en la mitad, tuvimos gran dificultad en finalizar esto. Pero lo logramos."
    d "Contactamos al marido para darle las noticias. Le dijimos...{w}que debe ver el lado bueno de la vida."
    $hp[2]=2
    call loadHearts
    pause 1.0
    
    call parto
    
    call finalStatement
    
    return    
    
label finalStatement:
        $char=[False]*4
        call loadHearts
        n "Cuatro individuos en el mundo... {w}cuatro corazones latiendo en sintonía."
        if(hp[0]==2 or hp[1]==2 or hp[2]==2):
            n "...pero la sintonía se ha roto entre ellos. {w}Ahora, sólo queda reflexionar sobre lo sucedido.{w} Y pedir que la siguiente vez, las cosas no sucedan de esta forma."
        else:
            if hp[0]==2:
                n "Javier vivió un trágico final, y rompió la sintonía que los demás llevaban. Lo que hizo siempre es una opción, {w=0.5}pero nunca es solución."
            elif hp[0]!=5:
                n "Javier ha impedido que algo terrible sucediese en su vida.{w} Pero todavía tiene camino por recorrer. Reconocer sus miedos y problemas. Y darse cuenta que realmente puede ser feliz."                            
            else:
                n "Javier ha impedido que algo terrible sucediese en su vida.{w} Y logró enfrentarse consigo mismo, y con sus miedos. No fue fácil, pero finalmente logró construir su propia felicidad."
            
            if hp[1]==2:
                n "La vida de Raúl terminó de forma trágica y repentina. Sin embargo, él había muerto antes de eso, al depender de una situación imposible.{w}"    
            elif hp[1]!=5:
                n "Raúl se ha salvado de un triste destino. Pero no ha escapado de la tentación que vive. Ni ha podido valorar lo que tiene.{w} Es feliz. Pero esa felicidad puede desvanecerse."
            else:
                n "Raúl se ha salvado de un triste destino. Y ha podido controlar su debilidad. {w}Se ha equivocado, y ha aprendido a partir de ello. Y se ha ganado la segunda oportunidad que merecía."
                
            if hp[2]==2:
                n "María murió antes de lograr recordar lo que le ocurría. Pero logró traer una nueva criatura al mundo sana y salva. {w}Si tan sólo hubiese recordado antes... quizás hubiese tenido la fuerza para sobrevivir."                
            elif hp[2]!=5:
                n "María ha logrado luchar hasta el fin y sobrevivir. Y está feliz. {w}Es una felicidad fina, y de a ratos, siente una tormenta que se avecina lentamente. Pero está disfrutando del momento actual."
            else:
                n "María ha logrado luchar hasta el fin y sobrevivir. Y está feliz. {w}Está disfrutando con su familia y su pequeña niña de la vida que tiene por delante."
                
        n "Cuatro individuos en el mundo... {w}y cuatro corazones latiendo en sintonía."      
        $hp=[0]*4
        call loadHearts
        return
        
label parto:
    $char=[False]*4
    $char[2]=True       
    $char[3]=True    
    $hp[3]=5
    call loadHearts
    pause 8.0    
    return
    
    
label loadMusic:        
    
    python:                                                    
                
        startTime=time.time()                                
        
        renpy.music.play("beatSignal.ogg","signal",True)
        renpy.music.set_volume(0.0,0,"signal")
        
        for i in range(0,len(generalMusicIndexList)):
            channel = "music"+str(generalMusicIndexList[i])
            songName = musicList[i]
            renpy.music.play(songName+".ogg",channel, True, None, True)
            
    return True
    
label silenceHearts:
    hide invisible
    hide invisible2
    hide invisible3
    hide invisible4    
        
    return
    
label loadHearts:                                            
            
    $pause11=0.0
    $pause12=3.0

    $pause21=1.0
    $pause22=2.0

    $pause31=2.0
    $pause32=1.0

    $pause41=3.0
    $pause42=0.0
    
    $values1 = heart_beat_y(hp[0])
    $values2 = heart_beat_y(hp[1])
    $values3 = heart_beat_y(hp[2])
    $values4 = heart_beat_y(hp[3])                       
    
    call playMusic(2.0)                                                                                                                                                                          
    
    if silence:
        call silenceHearts
        
    python:
        currentTime = (time.time() - startTime)%4                                
        
        renpy.pause(4.0 - currentTime - 0.1, hard=True)
    
    ##$renpy.music.set_volume(0.0,0.5,"signal")
    
    if times==1:
        ##$renpy.pause(4.0, hard=True)
        pass                    
        
    $times+=1   
    
    show invisible:    
        heart_beat_beat1(0.1,pause11,pause12)
        
    show invisible2:
        heart_beat_beat2(0.1,pause21,pause22)
    
    show invisible3:    
        heart_beat_beat3(0.1,pause31,pause32)        
        
    show invisible4:    
        heart_beat_beat4(0.1,pause41,pause42)
        
        
    hide yellow pixel    
    show yellow pixel:
        heart_beat(0.1,values1,0.000,pause11, pause12)
        
    hide blue pixel
    show blue pixel:
        heart_beat(0.1,values2,0.250,pause21,pause22)                            
                
    hide red pixel    
    show red pixel:
        heart_beat(0.1,values3,0.500,pause31, pause32)    
        
    hide white pixel    
    show white pixel:
        heart_beat(0.1,values4,0.750,pause41, pause42)                                                                  
        
    return     
